      subroutine saplot(gmin,gmax,xx,wvec,ne,mm)
c
      include 'itg.par'
c
      dimension wvec(fno*nez,mm),xx(fno*nez)
c
      do 10 m=1,mm
      do 10 i=1,ne
      if(gmax.lt.wvec(i,m)) gmax=wvec(i,m)
      if(gmin.gt.wvec(i,m)) gmin=wvec(i,m)
   10 continue
c
c      call maps(xx(1),xx(ne),gmin,gmax)
c      do 20 m=1,mm
c      call trace(xx,wvec(1,m),ne)
c   20 continue
c
      return
      end
